/*Fonts*/
@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@400;700&family=Work+Sans:wght@400;600;700&display=swap');

/* root variable foreground color */
:root {
  --white: hsl(0, 0%, 100%); /* light color white */
  --lightPink: hsl(276, 100%, 97%); /* pastel pink */
  --grayishPurple: hsl(293, 16%, 49%); /* darkish gray */
  --darkPurple: hsl(292, 42%, 14%); /* dark color purple */
  --outfit: "Outfit", sans-serif;
  --work-sans: "Work Sans", sans-serif;
}
/*Reset CSS*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  height: 100vh;
}
body {
  min-height: 100vh;
  font-size: 16px;
  font-family: var(--work-sans);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: var(--lightPink);
}
.container {
  position: relative;
  width: 80%;
  height: 700px;
  max-width: 700px;
  /* border: 1px solid red; */
  background-color: white;
  border-radius: 1rem;
  /* z-index: 10; */
  display: flex;
  flex-direction: column;
  padding: 20px;
  box-shadow: -1px 3px 19px 1px rgb(140, 105, 145);
  overflow: auto;
}

p {
  /* display: none; */
  color: var(--grayishPurple);
  font-size: 0.8rem;
  font-weight: 400;
  margin: 20px 0;
}

.visible{
  display:block;
}
.invisible{
  display: none;
}

h1 {
  color: var(--darkPurple);
  font-family:var(--outfit);
  font-weight: 700;
  text-align: center;
  display: inline-block;
  margin-right: 40px;
}
.header-img {
  width: 30px;
  height: 30px;
  margin: 0 30px 0 10px;
}
/* h1::before {
  content: url("./assets/images/icon-star.svg");
  display: inline-block;
  margin-right: 40px; 
  width:30px;
  height: 100px;
} */

.background-top {
  width: 100%;
  height: 50%;
  position: absolute;
  top: 0;
  left: 0;
  background-size: cover;
  background-position: center;
  height: calc(100% / 3);
  background-image: url("./assets/images/background-pattern-mobile.svg");
}
img {
  display: inline-block;
}
section {
  border-bottom: 2px solid var(--lightPink);
  margin: 20px 10px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding-bottom:20px;
}

section:last-child {
  border-bottom: none;
  margin-bottom: 0;
}
.qr-tittle {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.qr-tittle h2 {
  font-size: 1.2rem;
  font-weight: 600;
  display: inline-block;
  max-width: 80%;
}

.attribution {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  background-color: var(--darkPurple);
  color: var(--white);
  text-align: center;
  padding: 10px;
  font-size: 0.8rem;
  z-index: 100; /* Asegura que esté por encima de otros elementos */
}
.attribution a {
  color: var(--lightPink);
}
.plus{
  cursor:pointer;
}

@media screen {
}
